using System.Diagnostics;
using System.Diagnostics.Metrics;
namespace takmicenje
{
    internal class Program
    {
        static void Main(string[] args)
        {
            List<int> lista = new List<int>();
            int c = 0;
            int n = int.Parse(Console.ReadLine());
            int m = int.Parse(Console.ReadLine());
            int[][] vage = new int[n][];
            for (int i = 0; i < vage.Length; i++) {
                vage[i] = new int[2];
                vage[i][0] = int.Parse(Console.ReadLine());
                vage[i][1] = int.Parse(Console.ReadLine());
            }
            for (int i = 0; i < m; i++) {
                int l = int.Parse(Console.ReadLine());
                int r = int.Parse(Console.ReadLine());
                int x = int.Parse(Console.ReadLine());
                c = 0;
                for (int j = l; j < r + 1; j++) 
                
                {
                    
                                       
                    if (x >= vage[j-1][0] && x <= vage[j - 1][1]) 
                    {
                        c++; 
                    }
                    if (j == r)
                    {
                        lista.Add(c);
                    }
                }
            }
            for (int i = 0; i < lista.Count; i++) {
                Console.WriteLine(lista[i]);
            }
            
        }
    }
}